<?php
/*
+===========================================+
|      ArabPortal V2.1.x Copyright © 2006   |
|   -------------------------------------   |
|                                           |
|            By Rafia AL-Otibi              |
|                    And                    |
|              Arab Portal Team             |
|   -------------------------------------   |
|      Web: http://www.ArabPortal.Net       |
|   -------------------------------------   |
|  Last Updated: 22/10/2006 Time: 10:00 PM  |
+===========================================+
*/
/***************************************************************************
				    موديول حافظة ملفاتي
			   برمجة عبقري العرب (موقع دار الاوائل)
			www.arabiaone.org (arabgenius@hotmail.com)
	=========================== v1.0 ===========================
***************************************************************************/

if (RUN_MODULE !== true)
{
    die ("<center><h3>عفوا هذه العملية غير مشروعة</h3></center>");
}

checkcookie();
include("modules/myfiles/config.php");
$index_middle =  $apt->table_cat_module("<a href=mod.php?mod=$mod_name>&nbsp;$mod_title</a>");
$userid = $apt->format_data($apt->cookie['cid']);
$url = $apt->getsettings("siteURL");
if(substr($url,-1) != '/'){$url = $url . '/';}
$msg = "";

if($apt->get[del]){
$delete = @unlink("modules/myfiles/files/".$userid.'_'.$apt->get[del]);
if($delete){
$url = "mod.php?mod=myfiles";
$apt->bodymsg("تم حذف الملف بنجاح<br>سوف ترجع الى الى الصفحة السابقة",$url);
}else{
$apt->errmsg("عفوا ... لم تتم عملية حذف الملف بشكل صحيح");
}
}

$size_limit = $fliesize * 1024;

$file 	= $apt->files["cfile"]["tmp_name"];
$realname 	= $apt->files["cfile"]["name"];
$type 	= $apt->files["cfile"]["type"];
$size 	= $apt->files["cfile"]["size"];
$ext  	= strrchr($realname,'.');
$ext  = strtolower($ext);
$time = time();
$uploaded = $time . $ext;

$allow_t = in_array($type,$allow_types);

if( @is_uploaded_file($file)){
$open = @fopen("modules/myfiles/files/lastupload_".$userid.".txt",'r');
$lastupload = @fread($open,filesize("modules/myfiles/files/lastupload_".$userid.".txt"));
@fclose($open);
$deff = time() - $lastupload;
if($deff <= $spamtime){
$after = $spamtime - $deff;
$url = "mod.php?mod=myfiles";
$apt->bodymsg("عفوا ... انتظر ($after) ثانية على الاقل لتحميل ملف اخر",$url);
}

if(!$allow_t){
$apt->errmsg("عفوا ... لا يسمح بتحميل هذا النوع من الملفات");
}elseif($size > $size_limit){
$apt->errmsg("عفوا ... الملف الذي تحاول رفعه اكبر من الحجم المسموح به<br>الحجم المسموح به هو $fliesize كيلوبايت");
}elseif(is_file("modules/myfiles/files/$uploaded")){
$apt->errmsg("عفوا ... قد تم رفع هذه الملف من قبل او ان الملف يحمل اسم ملف موجود مسبقا");
}else{
$do =  @move_uploaded_file($file,"modules/myfiles/files/".$userid.'_'.$uploaded);
if($do){
$open = @fopen("modules/myfiles/files/lastupload_".$userid.".txt",'w');
@fwrite($open,$time);
@fclose($open);

$fileurl = $url."modules/myfiles/files/".$userid.'_'.$uploaded;
$msg = "<b>تم رفع الملف بنجاح<br>رابط الملف هو </b><br>
<input dir=ltr type=text size=60 value='$fileurl'>";
}else{
$apt->errmsg("عفوا ... لم يتم رفع الملف بشكل صحيح");
}
}
}


eval("\$index_middle .=  \" " . $apt->getmodtemplate ('add_myfile',$modid,$mod_theme) . "\";");

$handle = @opendir('modules/myfiles/files/');
eval("\$index_middle .=  \" " . $apt->getmodtemplate ('header',$modid,$mod_theme) . "\";");
   while (false !== ($file = readdir($handle))) {
       if ($file != "." && $file != "..") {
         $ext = @explode('_', $file);
         if ($ext[0] == $userid){
         	$date = @explode('.', $ext[1]);
         	$name = $ext[1];
		$furl = $url."modules/myfiles/files/".$file;
		$fsize = @filesize("modules/myfiles/files/$file");
		if($fsize >= 1048576){
        	$fsize = round($fsize / 1048576 * 100) / 100 . " ميجابايت ";
		}elseif($fsize >= 1024){
   	      $fsize = round($fsize / 1024 * 100) / 100 . " كيلوبايت ";
		}
		$date = $apt->Hijri($date[0]);
			eval("\$index_middle .=  \" " . $apt->getmodtemplate ('view_file',$modid,$mod_theme) . "\";");
		unset($name,$fsize,$date);
         }
       }
   }
eval("\$index_middle .=  \" " . $apt->getmodtemplate ('footer',$modid,$mod_theme) . "\";");
@closedir($handle);

echo $index_middle;
?>